Zoho Projects API Documentation
Text copied
File not found

Record Import

Initiate Import

Initiate an import operation for a module by uploading a file.

POST

/api/v3/portal/[PORTAL_ID]/module/[MODULE_ID]/import

OAuth Scope:

ZohoProjects.portals.CREATE

Path Parameters

Param Name
Data Type
Description

Query Parameters

Param Name
Data Type
Description

File Parameters

Param Name
Data Type
Description

Request Example

Request Example
  • cURL
  • Deluge
  • Node.js
  • Ruby
  • PHP
  • Python
  • C
  • C#
  • C++
  • Clojure
  • Go
  • HTTP
  • Java
  • JS Fetch
  • JSON
  • Kotlin
  • Objective-C
  • OCaml
  • PowerShell
  • R
  • Swift

curl -X POST \
'https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import' \
-H 'Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa' \
--form 'upload_file=@/path/to/file' \
--form-string 'project_id=23806000097545166'

url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import";

fileObj = invokeUrl
[
    url: "/path/to/file"
    type: GET
];

response = invokeUrl
[
    url: url
    type: POST
    files: {"upload_file": fileObj}
    connection: "projects"
];

info response;
const fs = require('fs');
const FormData = require('form-data');
const https = require('https');

const form = new FormData();
form.append('upload_file', fs.createReadStream('/path/to/file'));

const url = new URL('https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import');

const options = {
  hostname: url.hostname,
  path: url.pathname,
  method: 'POST',
  headers: {
    'Authorization': 'Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa',
    ...form.getHeaders()
  }
};

const req = https.request(options, (res) => {
  let data = '';
  res.on('data', (chunk) => { data += chunk; });
  res.on('end', () => { console.log(JSON.parse(data)); });
});

req.on('error', (err) => { console.error(err); });
form.pipe(req);
require 'net/http'
require 'uri'

url = URI("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post::Multipart.new(url, {
  "upload_file" => UploadIO.new(File.new("/path/to/file"), "application/octet-stream")
})
request["Authorization"] = "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"

response = http.request(request)
puts response.read_body
<?php

$url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import";

$postFields = [
    'upload_file' => new CURLFile('/path/to/file'),
];

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => $url,
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => $postFields,
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
  ],
]);

$response = curl_exec($curl);
curl_close($curl);

echo $response;
import requests

url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import"

headers = {
    "Authorization": "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa",
}

files = {
    "upload_file": open("/path/to/file", "rb")
}

response = requests.post(url, headers=headers, files=files)

print(response.json())
#include <stdio.h>
#include <curl/curl.h>

int main(void) {
    CURL *curl = curl_easy_init();
    if (curl) {
        curl_mime *mime = curl_mime_init(curl);
        curl_mimepart *part = curl_mime_addpart(mime);
        curl_mime_name(part, "upload_file");
        curl_mime_filedata(part, "/path/to/file");

        struct curl_slist *headers = NULL;
        headers = curl_slist_append(headers, "Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");

        curl_easy_setopt(curl, CURLOPT_URL, "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import");
        curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
        curl_easy_setopt(curl, CURLOPT_MIMEPOST, mime);

        CURLcode res = curl_easy_perform(curl);
        if (res != CURLE_OK)
            fprintf(stderr, "curl failed: %s\n", curl_easy_strerror(res));

        curl_mime_free(mime);
        curl_slist_free_all(headers);
        curl_easy_cleanup(curl);
    }
    return 0;
}
using System.Net.Http;

var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");

var content = new MultipartFormDataContent();
var fileStream = File.OpenRead("/path/to/file");
content.Add(new StreamContent(fileStream), "upload_file", "file");

var request = new HttpRequestMessage(HttpMethod.Post, "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import") { Content = content };
var response = await client.SendAsync(request);
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
#include <iostream>
#include <string>
#include <curl/curl.h>

static size_t WriteCallback(void* contents, size_t size, size_t nmemb, std::string* output) {
    output->append((char*)contents, size * nmemb);
    return size * nmemb;
}

int main() {
    CURL* curl = curl_easy_init();
    if (curl) {
        std::string response;

        curl_mime* mime = curl_mime_init(curl);
        curl_mimepart* part = curl_mime_addpart(mime);
        curl_mime_name(part, "upload_file");
        curl_mime_filedata(part, "/path/to/file");

        struct curl_slist* headers = NULL;
        headers = curl_slist_append(headers, "Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");

        curl_easy_setopt(curl, CURLOPT_URL, "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import");
        curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
        curl_easy_setopt(curl, CURLOPT_MIMEPOST, mime);
        curl_easy_setopt(curl, CURLOPT_WRITEFUNCTION, WriteCallback);
        curl_easy_setopt(curl, CURLOPT_WRITEDATA, &response);

        CURLcode res = curl_easy_perform(curl);
        if (res == CURLE_OK)
            std::cout << response << std::endl;
        else
            std::cerr << curl_easy_strerror(res) << std::endl;

        curl_mime_free(mime);
        curl_slist_free_all(headers);
        curl_easy_cleanup(curl);
    }
    return 0;
}
(require '[clj-http.client :as client])
(require '[clojure.java.io :as io])

(def response
  (client/post "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import"
    {:headers {"Authorization" "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"}
     :multipart [{:name "upload_file"
                  :content (io/file "/path/to/file")}]}))

(println (:body response))
package main

import (
    "bytes"
    "fmt"
    "io"
    "mime/multipart"
    "net/http"
    "os"
)

func main() {
    body := &bytes.Buffer{}
    writer := multipart.NewWriter(body)

    file, _ := os.Open("/path/to/file")
    defer file.Close()
    part, _ := writer.CreateFormFile("upload_file", "file")
    io.Copy(part, file)
    writer.Close()

    req, _ := http.NewRequest("POST", "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import", body)
    req.Header.Add("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa")
    req.Header.Add("Content-Type", writer.FormDataContentType())

    resp, _ := http.DefaultClient.Do(req)
    defer resp.Body.Close()
    respBody, _ := io.ReadAll(resp.Body)
    fmt.Println(string(respBody))
}
POST https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import HTTP/1.1
Host: https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import
Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa
Content-Type: multipart/form-data; boundary=----FormBoundary

------FormBoundary
Content-Disposition: form-data; name="upload_file"; filename="file"
Content-Type: application/octet-stream

[file content]
------FormBoundary--
HttpClientBuilder httpClientBuilder = HttpClientBuilder.create();

SSLContext sslContext = SSLContext.getDefault();
SSLConnectionSocketFactory sslConnectionSocketFactory = new SSLConnectionSocketFactory(sslContext, NoopHostnameVerifier.INSTANCE);
CloseableHttpClient httpclient = httpClientBuilder.setSSLSocketFactory(sslConnectionSocketFactory).build();

HttpEntityEnclosingRequestBase httpRequest = new HttpPost("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import");
httpRequest.addHeader("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");

MultipartEntityBuilder builder = MultipartEntityBuilder.create();
builder.addBinaryBody("upload_file", new File("/path/to/file"), ContentType.DEFAULT_BINARY, "file");
httpRequest.setEntity(builder.build());

HttpResponse response = httpclient.execute(httpRequest);

HttpEntity responseEntity = response.getEntity();
Object responseObject = EntityUtils.toString(responseEntity);
String responseString = responseObject.toString();
const formData = new FormData();
formData.append('upload_file', fileInput.files[0]);

fetch('https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa'
  },
  body: formData
})
  .then(response => response.json())
  .then(data => console.log(data))
  .catch(error => console.error(error));
{
  "upload_file": "(binary file data)"
}
import okhttp3.*
import okhttp3.MediaType.Companion.toMediaType
import java.io.File

fun main() {
    val client = OkHttpClient()

    val file = File("/path/to/file")
    val body = MultipartBody.Builder()
        .setType(MultipartBody.FORM)
        .addFormDataPart("upload_file", file.name, RequestBody.create(file, "application/octet-stream".toMediaType()))
        .build()

    val request = Request.Builder()
        .url("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import")
        .method("POST", body)
        .addHeader("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa")
        .build()

    val response = client.newCall(request).execute()
    println(response.body?.string())
}
NSURL *url = [NSURL URLWithString:@"https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import"];
NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url];
[request setHTTPMethod:@"POST"];
[request setValue:@"Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa" forHTTPHeaderField:@"Authorization"];

NSString *boundary = [[NSUUID UUID] UUIDString];
[request setValue:[NSString stringWithFormat:@"multipart/form-data; boundary=%@", boundary] forHTTPHeaderField:@"Content-Type"];

NSMutableData *body = [NSMutableData data];
NSData *fileData = [NSData dataWithContentsOfFile:@"/path/to/file"];
[body appendData:[[NSString stringWithFormat:@"--%@\r\n", boundary] dataUsingEncoding:NSUTF8StringEncoding]];
[body appendData:[[NSString stringWithFormat:@"Content-Disposition: form-data; name=\"upload_file\"; filename=\"file\"\r\n"] dataUsingEncoding:NSUTF8StringEncoding]];
[body appendData:[@"Content-Type: application/octet-stream\r\n\r\n" dataUsingEncoding:NSUTF8StringEncoding]];
[body appendData:fileData];
[body appendData:[@"\r\n" dataUsingEncoding:NSUTF8StringEncoding]];
[body appendData:[[NSString stringWithFormat:@"--%@--\r\n", boundary] dataUsingEncoding:NSUTF8StringEncoding]];
[request setHTTPBody:body];

NSURLSession *session = [NSURLSession sharedSession];
NSURLSessionDataTask *task = [session dataTaskWithRequest:request
    completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
        NSString *result = [[NSString alloc] initWithData:data encoding:NSUTF8StringEncoding];
        NSLog(@"%@", result);
}];
[task resume];
open Lwt
open Cohttp_lwt_unix

let () =
  let uri = Uri.of_string "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import" in
  let file_content = Lwt_io.(with_file ~mode:Input "/path/to/file" read) in
  let boundary = "----FormBoundary" in
  let body_str =
    "--" ^ boundary ^ "\r\n" ^
    "Content-Disposition: form-data; name=\"upload_file\"; filename=\"file\"\r\n" ^
    "Content-Type: application/octet-stream\r\n\r\n" ^
    file_content ^ "\r\n" ^
    "--" ^ boundary ^ "--\r\n" in
  let headers = Cohttp.Header.init ()
    |> fun h -> Cohttp.Header.add h "Authorization" "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
    |> fun h -> Cohttp.Header.add h "Content-Type" ("multipart/form-data; boundary=" ^ boundary)
  in
  let body = Cohttp_lwt.Body.of_string body_str in
  Lwt_main.run (
    Client.post ~headers ~body uri >>= fun (_, body) ->
    Cohttp_lwt.Body.to_string body >|= fun s ->
    print_endline s)
$headers = @{
    "Authorization" = "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
}

$form = @{
    upload_file = Get-Item -Path "/path/to/file"
}

$response = Invoke-RestMethod -Uri "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import" -Method POST -Headers $headers -Form $form

$response | ConvertTo-Json
library(httr)

url <- "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import"

response <- POST(
  url,
  add_headers(Authorization = "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"),
  body = list(
    upload_file = upload_file("/path/to/file")
  ),
  encode = "multipart"
)

content(response, "text")
import Foundation

let url = URL(string: "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.setValue("Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa", forHTTPHeaderField: "Authorization")

let boundary = UUID().uuidString
request.setValue("multipart/form-data; boundary=\(boundary)", forHTTPHeaderField: "Content-Type")

var body = Data()
let fileData = try! Data(contentsOf: URL(fileURLWithPath: "/path/to/file"))
body.append("--\(boundary)\r\n".data(using: .utf8)!)
body.append("Content-Disposition: form-data; name=\"upload_file\"; filename=\"file\"\r\n".data(using: .utf8)!)
body.append("Content-Type: application/octet-stream\r\n\r\n".data(using: .utf8)!)
body.append(fileData)
body.append("\r\n".data(using: .utf8)!)
body.append("--\(boundary)--\r\n".data(using: .utf8)!)
request.httpBody = body

let semaphore = DispatchSemaphore(value: 0)
let task = URLSession.shared.dataTask(with: request) { data, response, error in
    if let data = data, let result = String(data: data, encoding: .utf8) {
        print(result)
    }
    semaphore.signal()
}
task.resume()
semaphore.wait()

Sample Input

project_id : "23806000097545166"

Sample Response

201{ "id" : "221089000001108023", "progress" : "file_uploaded", "is_reject_invalid_records" : true, "date_format" : "dd-MM-yyyy" }

Get Import Details

Retrieve the details of an import operation.

GET

/api/v3/portal/[PORTAL_ID]/module/[MODULE_ID]/import/[IMPORT_ID]

OAuth Scope:

ZohoProjects.portals.READ

Path Parameters

Param Name
Data Type
Description

Request Example

Request Example
  • cURL
  • Deluge
  • Node.js
  • Ruby
  • PHP
  • Python
  • C
  • C#
  • C++
  • Clojure
  • Go
  • HTTP
  • Java
  • JS Fetch
  • Kotlin
  • Objective-C
  • OCaml
  • PowerShell
  • R
  • Swift

curl -X GET \
'https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269' \
-H 'Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa'

url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269";
response = invokeUrl
[
    url: url
    type: GET
    connection: "projects"
];
info response;
const https = require('https');
const url = new URL('https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269');

const options = {
  hostname: url.hostname,
  path: url.pathname + url.search,
  method: 'GET',
  headers: {
    'Authorization': 'Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa'
  }
};

const req = https.request(options, (res) => {
  let data = '';
  res.on('data', (chunk) => { data += chunk; });
  res.on('end', () => { console.log(JSON.parse(data)); });
});

req.on('error', (err) => { console.error(err); });
req.end();
require 'net/http'
require 'uri'
require 'json'

url = URI("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"

response = http.request(request)
puts response.read_body
<?php
$url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269";

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => $url,
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
  ],
]);

$response = curl_exec($curl);
curl_close($curl);

echo $response;
import requests

url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269"

headers = {
    "Authorization": "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa",
}

response = requests.get(url, headers=headers)

print(response.json())
#include <stdio.h>
#include <string.h>
#include <curl/curl.h>

int main(void) {
    CURL *curl = curl_easy_init();
    if (curl) {
        struct curl_slist *headers = NULL;
        headers = curl_slist_append(headers, "Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");

        curl_easy_setopt(curl, CURLOPT_URL, "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269");
        curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
        curl_easy_setopt(curl, CURLOPT_CUSTOMREQUEST, "GET");

        CURLcode res = curl_easy_perform(curl);
        if (res != CURLE_OK)
            fprintf(stderr, "curl failed: %s\n", curl_easy_strerror(res));

        curl_slist_free_all(headers);
        curl_easy_cleanup(curl);
    }
    return 0;
}
using System.Net.Http;
using System.Text;
using System.Web;

var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");

var request = new HttpRequestMessage(HttpMethod.Get, "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269");

var response = await client.SendAsync(request);
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
#include <iostream>
#include <string>
#include <curl/curl.h>

static size_t WriteCallback(void* contents, size_t size, size_t nmemb, std::string* output) {
    output->append((char*)contents, size * nmemb);
    return size * nmemb;
}

int main() {
    CURL* curl = curl_easy_init();
    if (curl) {
        std::string response;
        struct curl_slist* headers = NULL;
        headers = curl_slist_append(headers, "Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");

        curl_easy_setopt(curl, CURLOPT_URL, "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269");
        curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
        curl_easy_setopt(curl, CURLOPT_CUSTOMREQUEST, "GET");
        curl_easy_setopt(curl, CURLOPT_WRITEFUNCTION, WriteCallback);
        curl_easy_setopt(curl, CURLOPT_WRITEDATA, &response);

        CURLcode res = curl_easy_perform(curl);
        if (res == CURLE_OK)
            std::cout << response << std::endl;
        else
            std::cerr << curl_easy_strerror(res) << std::endl;

        curl_slist_free_all(headers);
        curl_easy_cleanup(curl);
    }
    return 0;
}
(require '[clj-http.client :as client])

(def response
  (client/get "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269"
    {:headers {"Authorization" "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"}
     :as :json}))

(println (:body response))
package main

import (
    "fmt"
    "io"
    "net/http"
)

func main() {
    req, _ := http.NewRequest("GET", "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269", nil)
    req.Header.Add("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa")

    resp, _ := http.DefaultClient.Do(req)
    defer resp.Body.Close()
    body, _ := io.ReadAll(resp.Body)
    fmt.Println(string(body))
}
GET https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269 HTTP/1.1
Host: https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269
Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa
HttpClientBuilder httpClientBuilder = HttpClientBuilder.create();

SSLContext sslContext = SSLContext.getDefault();
SSLConnectionSocketFactory sslConnectionSocketFactory = new SSLConnectionSocketFactory(sslContext, NoopHostnameVerifier.INSTANCE);
CloseableHttpClient httpclient = httpClientBuilder.setSSLSocketFactory(sslConnectionSocketFactory).build();

URIBuilder uriBuilder = new URIBuilder("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269");
HttpUriRequest requestObj = new HttpGet(uriBuilder.build());
requestObj.addHeader("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");

HttpResponse response = httpclient.execute(requestObj);

HttpEntity responseEntity = response.getEntity();
Object responseObject = EntityUtils.toString(responseEntity);
String responseString = responseObject.toString();
const url = 'https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269';

const options = {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa'
  }
};

fetch(url, options)
  .then(response => response.json())
  .then(data => console.log(data))
  .catch(error => console.error(error));
import java.net.HttpURLConnection
import java.net.URL
import okhttp3.HttpUrl.Companion.toHttpUrl

fun main() {
    val url = URL("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269")
    val conn = url.openConnection() as HttpURLConnection
    conn.requestMethod = "GET"
    conn.setRequestProperty("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa")

    val response = conn.inputStream.bufferedReader().readText()
    println(response)
}
NSURL *url = [NSURL URLWithString:@"https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269"];
NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url];
[request setHTTPMethod:@"GET"];
[request setValue:@"Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa" forHTTPHeaderField:@"Authorization"];

NSURLSession *session = [NSURLSession sharedSession];
NSURLSessionDataTask *task = [session dataTaskWithRequest:request
    completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
        NSString *result = [[NSString alloc] initWithData:data encoding:NSUTF8StringEncoding];
        NSLog(@"%@", result);
}];
[task resume];
open Lwt
open Cohttp_lwt_unix

let () =
  let uri = Uri.of_string "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269" in
  let headers = Cohttp.Header.init ()
    |> fun h -> Cohttp.Header.add h "Authorization" "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
  in
  Lwt_main.run (
    Client.get ~headers uri >>= fun (_, body) ->
    Cohttp_lwt.Body.to_string body >|= fun s ->
    print_endline s)
$headers = @{
    "Authorization" = "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
}

$response = Invoke-RestMethod -Uri "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269" -Method GET -Headers $headers

$response | ConvertTo-Json
library(httr)

url <- "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269"

response <- GET(
  url,
  add_headers(Authorization = "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa")
)

content(response, "text")
import Foundation

let url = URL(string: "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.setValue("Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa", forHTTPHeaderField: "Authorization")

let semaphore = DispatchSemaphore(value: 0)
let task = URLSession.shared.dataTask(with: request) { data, response, error in
    if let data = data, let result = String(data: data, encoding: .utf8) {
        print(result)
    }
    semaphore.signal()
}
task.resume()
semaphore.wait()

Sample Response

200{ "id" : "221089000001108035", "progress" : "completed", "is_reject_invalid_records" : true, "date_format" : "dd/MM/yyyy", "field_mapping" : [ { "api_name" : "name", "column_num" : "0" }, { "api_name" : "status", "column_num" : "1" }, { "api_name" : "layout", "column_num" : "2" } ], "status_mapping" : [ { "sheet_status" : "Active", "status_id" : "221089000000770030" }, { "sheet_status" : "On Hold", "status_id" : "221089000000770033" }, { "sheet_status" : "Completed", "status_id" : "221089000000770035" }, { "sheet_status" : "In Progress", "status_id" : "221089000000770031" }, { "sheet_status" : "Cancelled", "status_id" : "221089000000770034" }, { "sheet_status" : "Reopen", "status_id" : "221089000000770032" } ], "layout_mapping" : [ { "sheet_layout" : "Dummy4", "layout_id" : "221089000000770026" }, { "sheet_layout" : "Dummy6", "layout_id" : "221089000000770026" }, { "sheet_layout" : "Dummy1", "layout_id" : "221089000000770026" }, { "sheet_layout" : "Dummy2", "layout_id" : "221089000000770026" } ], "sheet_info" : { "selected_sheet_index" : "0", "header_row_number" : "1", "total_count" : "10", "success_count" : "10", "row_number_to_reject_reason" : { }, "row_number_to_skip_value_reason" : { } } }

Update Import Details

Modify the details of an import operation.

PATCH

/api/v3/portal/[PORTAL_ID]/module/[MODULE_ID]/import/[IMPORT_ID]

OAuth Scope:

ZohoProjects.portals.UPDATE

Path Parameters

Param Name
Data Type
Description

Body Parameters

Param Name
Data Type
Description

Request Example

Request Example
  • cURL
  • Deluge
  • Node.js
  • Ruby
  • PHP
  • Python
  • C
  • C#
  • C++
  • Clojure
  • Go
  • HTTP
  • Java
  • JS Fetch
  • JSON
  • Kotlin
  • Objective-C
  • OCaml
  • PowerShell
  • R
  • Swift

curl -X PATCH \
'https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269' \
-H 'Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa' \
-H 'Content-Type: application/json' \
-d '{"progress":"field_mapped","date_format":"dd/MM/yyyy","is_reject_invalid_records":true,"field_mapping":[{"column_num":1,"api_name":"name"}],"user_mapping":[{"sheet_user_name":"Patricia Boyle","zpuid":"4000000002055"}],"status_mapping":[{"sheet_status":"Active","status_id":"9000000009052"}],"layout_mapping":[{"sheet_layout":"Standard Layout","layout_id":"9000000009013"}],"extra_data":{"selected_sheet_index":0,"header_row_number":1,"user_column_numbers":2,"status_column_numbers":1},"sheet_info":{"selected_sheet_index":0,"header_row_no":1}}'

url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269";
params = Map();
params.put("progress", "field_mapped");
params.put("date_format", "dd/MM/yyyy");
params.put("is_reject_invalid_records", true);
params.put("field_mapping", [{"column_num":1,"api_name":"name"}]);
params.put("user_mapping", [{"sheet_user_name":"Patricia Boyle","zpuid":"4000000002055"}]);
params.put("status_mapping", [{"sheet_status":"Active","status_id":"9000000009052"}]);
params.put("layout_mapping", [{"sheet_layout":"Standard Layout","layout_id":"9000000009013"}]);
params.put("extra_data", {"selected_sheet_index":0,"header_row_number":1,"user_column_numbers":2,"status_column_numbers":1});
params.put("sheet_info", {"selected_sheet_index":0,"header_row_no":1});
response = invokeUrl
[
    url: url
    type: PATCH
    parameters: params.toString()
    connection: "projects"
];
info response;
const https = require('https');
const url = new URL('https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269');

const payload = JSON.stringify({"progress":"field_mapped","date_format":"dd/MM/yyyy","is_reject_invalid_records":true,"field_mapping":[{"column_num":1,"api_name":"name"}],"user_mapping":[{"sheet_user_name":"Patricia Boyle","zpuid":"4000000002055"}],"status_mapping":[{"sheet_status":"Active","status_id":"9000000009052"}],"layout_mapping":[{"sheet_layout":"Standard Layout","layout_id":"9000000009013"}],"extra_data":{"selected_sheet_index":0,"header_row_number":1,"user_column_numbers":2,"status_column_numbers":1},"sheet_info":{"selected_sheet_index":0,"header_row_no":1}});

const options = {
  hostname: url.hostname,
  path: url.pathname + url.search,
  method: 'PATCH',
  headers: {
    'Authorization': 'Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa',
    'Content-Type': 'application/json',
    'Content-Length': Buffer.byteLength(payload)
  }
};

const req = https.request(options, (res) => {
  let data = '';
  res.on('data', (chunk) => { data += chunk; });
  res.on('end', () => { console.log(JSON.parse(data)); });
});

req.on('error', (err) => { console.error(err); });
req.write(payload);
req.end();
require 'net/http'
require 'uri'
require 'json'

url = URI("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
request["Content-Type"] = "application/json"
request.body = '{"progress":"field_mapped","date_format":"dd/MM/yyyy","is_reject_invalid_records":true,"field_mapping":[{"column_num":1,"api_name":"name"}],"user_mapping":[{"sheet_user_name":"Patricia Boyle","zpuid":"4000000002055"}],"status_mapping":[{"sheet_status":"Active","status_id":"9000000009052"}],"layout_mapping":[{"sheet_layout":"Standard Layout","layout_id":"9000000009013"}],"extra_data":{"selected_sheet_index":0,"header_row_number":1,"user_column_numbers":2,"status_column_numbers":1},"sheet_info":{"selected_sheet_index":0,"header_row_no":1}}'

response = http.request(request)
puts response.read_body
<?php
$url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269";

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => $url,
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_CUSTOMREQUEST => "PATCH",
  CURLOPT_POSTFIELDS => '{"progress":"field_mapped","date_format":"dd/MM/yyyy","is_reject_invalid_records":true,"field_mapping":[{"column_num":1,"api_name":"name"}],"user_mapping":[{"sheet_user_name":"Patricia Boyle","zpuid":"4000000002055"}],"status_mapping":[{"sheet_status":"Active","status_id":"9000000009052"}],"layout_mapping":[{"sheet_layout":"Standard Layout","layout_id":"9000000009013"}],"extra_data":{"selected_sheet_index":0,"header_row_number":1,"user_column_numbers":2,"status_column_numbers":1},"sheet_info":{"selected_sheet_index":0,"header_row_no":1}}',
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa",
    "Content-Type: application/json"
  ],
]);

$response = curl_exec($curl);
curl_close($curl);

echo $response;
import requests

url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269"

headers = {
    "Authorization": "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa",
    "Content-Type": "application/json",
}

payload = '{"progress":"field_mapped","date_format":"dd/MM/yyyy","is_reject_invalid_records":true,"field_mapping":[{"column_num":1,"api_name":"name"}],"user_mapping":[{"sheet_user_name":"Patricia Boyle","zpuid":"4000000002055"}],"status_mapping":[{"sheet_status":"Active","status_id":"9000000009052"}],"layout_mapping":[{"sheet_layout":"Standard Layout","layout_id":"9000000009013"}],"extra_data":{"selected_sheet_index":0,"header_row_number":1,"user_column_numbers":2,"status_column_numbers":1},"sheet_info":{"selected_sheet_index":0,"header_row_no":1}}'

response = requests.patch(url, headers=headers, data=payload)

print(response.json())
#include <stdio.h>
#include <string.h>
#include <curl/curl.h>

int main(void) {
    CURL *curl = curl_easy_init();
    if (curl) {
        struct curl_slist *headers = NULL;
        headers = curl_slist_append(headers, "Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");
        headers = curl_slist_append(headers, "Content-Type: application/json");

        curl_easy_setopt(curl, CURLOPT_URL, "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269");
        curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
        curl_easy_setopt(curl, CURLOPT_CUSTOMREQUEST, "PATCH");
        curl_easy_setopt(curl, CURLOPT_POSTFIELDS, "{\"progress\":\"field_mapped\",\"date_format\":\"dd/MM/yyyy\",\"is_reject_invalid_records\":true,\"field_mapping\":[{\"column_num\":1,\"api_name\":\"name\"}],\"user_mapping\":[{\"sheet_user_name\":\"Patricia Boyle\",\"zpuid\":\"4000000002055\"}],\"status_mapping\":[{\"sheet_status\":\"Active\",\"status_id\":\"9000000009052\"}],\"layout_mapping\":[{\"sheet_layout\":\"Standard Layout\",\"layout_id\":\"9000000009013\"}],\"extra_data\":{\"selected_sheet_index\":0,\"header_row_number\":1,\"user_column_numbers\":2,\"status_column_numbers\":1},\"sheet_info\":{\"selected_sheet_index\":0,\"header_row_no\":1}}");

        CURLcode res = curl_easy_perform(curl);
        if (res != CURLE_OK)
            fprintf(stderr, "curl failed: %s\n", curl_easy_strerror(res));

        curl_slist_free_all(headers);
        curl_easy_cleanup(curl);
    }
    return 0;
}
using System.Net.Http;
using System.Text;
using System.Web;

var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");

var request = new HttpRequestMessage(HttpMethod.Patch, "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269");
request.Content = new StringContent(
    @"{""progress"":""field_mapped"",""date_format"":""dd/MM/yyyy"",""is_reject_invalid_records"":true,""field_mapping"":[{""column_num"":1,""api_name"":""name""}],""user_mapping"":[{""sheet_user_name"":""Patricia Boyle"",""zpuid"":""4000000002055""}],""status_mapping"":[{""sheet_status"":""Active"",""status_id"":""9000000009052""}],""layout_mapping"":[{""sheet_layout"":""Standard Layout"",""layout_id"":""9000000009013""}],""extra_data"":{""selected_sheet_index"":0,""header_row_number"":1,""user_column_numbers"":2,""status_column_numbers"":1},""sheet_info"":{""selected_sheet_index"":0,""header_row_no"":1}}",
    Encoding.UTF8,
    "application/json"
);

var response = await client.SendAsync(request);
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
#include <iostream>
#include <string>
#include <curl/curl.h>

static size_t WriteCallback(void* contents, size_t size, size_t nmemb, std::string* output) {
    output->append((char*)contents, size * nmemb);
    return size * nmemb;
}

int main() {
    CURL* curl = curl_easy_init();
    if (curl) {
        std::string response;
        struct curl_slist* headers = NULL;
        headers = curl_slist_append(headers, "Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");
        headers = curl_slist_append(headers, "Content-Type: application/json");

        curl_easy_setopt(curl, CURLOPT_URL, "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269");
        curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
        curl_easy_setopt(curl, CURLOPT_CUSTOMREQUEST, "PATCH");
        curl_easy_setopt(curl, CURLOPT_WRITEFUNCTION, WriteCallback);
        curl_easy_setopt(curl, CURLOPT_WRITEDATA, &response);
        curl_easy_setopt(curl, CURLOPT_POSTFIELDS, "{\"progress\":\"field_mapped\",\"date_format\":\"dd/MM/yyyy\",\"is_reject_invalid_records\":true,\"field_mapping\":[{\"column_num\":1,\"api_name\":\"name\"}],\"user_mapping\":[{\"sheet_user_name\":\"Patricia Boyle\",\"zpuid\":\"4000000002055\"}],\"status_mapping\":[{\"sheet_status\":\"Active\",\"status_id\":\"9000000009052\"}],\"layout_mapping\":[{\"sheet_layout\":\"Standard Layout\",\"layout_id\":\"9000000009013\"}],\"extra_data\":{\"selected_sheet_index\":0,\"header_row_number\":1,\"user_column_numbers\":2,\"status_column_numbers\":1},\"sheet_info\":{\"selected_sheet_index\":0,\"header_row_no\":1}}");

        CURLcode res = curl_easy_perform(curl);
        if (res == CURLE_OK)
            std::cout << response << std::endl;
        else
            std::cerr << curl_easy_strerror(res) << std::endl;

        curl_slist_free_all(headers);
        curl_easy_cleanup(curl);
    }
    return 0;
}
(require '[clj-http.client :as client])

(def response
  (client/patch "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269"
    {:headers {"Authorization" "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
                "Content-Type" "application/json"}
     :body "{\"progress\":\"field_mapped\",\"date_format\":\"dd/MM/yyyy\",\"is_reject_invalid_records\":true,\"field_mapping\":[{\"column_num\":1,\"api_name\":\"name\"}],\"user_mapping\":[{\"sheet_user_name\":\"Patricia Boyle\",\"zpuid\":\"4000000002055\"}],\"status_mapping\":[{\"sheet_status\":\"Active\",\"status_id\":\"9000000009052\"}],\"layout_mapping\":[{\"sheet_layout\":\"Standard Layout\",\"layout_id\":\"9000000009013\"}],\"extra_data\":{\"selected_sheet_index\":0,\"header_row_number\":1,\"user_column_numbers\":2,\"status_column_numbers\":1},\"sheet_info\":{\"selected_sheet_index\":0,\"header_row_no\":1}}"
     :as :json}))

(println (:body response))
package main

import (
    "fmt"
    "io"
    "net/http"
    "strings"
)

func main() {
    payload := strings.NewReader("{\"progress\":\"field_mapped\",\"date_format\":\"dd/MM/yyyy\",\"is_reject_invalid_records\":true,\"field_mapping\":[{\"column_num\":1,\"api_name\":\"name\"}],\"user_mapping\":[{\"sheet_user_name\":\"Patricia Boyle\",\"zpuid\":\"4000000002055\"}],\"status_mapping\":[{\"sheet_status\":\"Active\",\"status_id\":\"9000000009052\"}],\"layout_mapping\":[{\"sheet_layout\":\"Standard Layout\",\"layout_id\":\"9000000009013\"}],\"extra_data\":{\"selected_sheet_index\":0,\"header_row_number\":1,\"user_column_numbers\":2,\"status_column_numbers\":1},\"sheet_info\":{\"selected_sheet_index\":0,\"header_row_no\":1}}")
    req, _ := http.NewRequest("PATCH", "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269", payload)
    req.Header.Add("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa")
    req.Header.Add("Content-Type", "application/json")

    resp, _ := http.DefaultClient.Do(req)
    defer resp.Body.Close()
    body, _ := io.ReadAll(resp.Body)
    fmt.Println(string(body))
}
PATCH https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269 HTTP/1.1
Host: https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269
Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa
Content-Type: application/json

{"progress":"field_mapped","date_format":"dd/MM/yyyy","is_reject_invalid_records":true,"field_mapping":[{"column_num":1,"api_name":"name"}],"user_mapping":[{"sheet_user_name":"Patricia Boyle","zpuid":"4000000002055"}],"status_mapping":[{"sheet_status":"Active","status_id":"9000000009052"}],"layout_mapping":[{"sheet_layout":"Standard Layout","layout_id":"9000000009013"}],"extra_data":{"selected_sheet_index":0,"header_row_number":1,"user_column_numbers":2,"status_column_numbers":1},"sheet_info":{"selected_sheet_index":0,"header_row_no":1}}
HttpClientBuilder httpClientBuilder = HttpClientBuilder.create();

SSLContext sslContext = SSLContext.getDefault();
SSLConnectionSocketFactory sslConnectionSocketFactory = new SSLConnectionSocketFactory(sslContext, NoopHostnameVerifier.INSTANCE);
CloseableHttpClient httpclient = httpClientBuilder.setSSLSocketFactory(sslConnectionSocketFactory).build();

URIBuilder uriBuilder = new URIBuilder("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269");
HttpUriRequest requestObj = new HttpPatch(uriBuilder.build());
requestObj.addHeader("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");

HttpEntityEnclosingRequestBase requestBase = (HttpEntityEnclosingRequestBase) requestObj;
String requestBody = "{\"progress\":\"field_mapped\",\"date_format\":\"dd\/MM\/yyyy\",\"is_reject_invalid_records\":true,\"field_mapping\":[{\"column_num\":1,\"api_name\":\"name\"}],\"user_mapping\":[{\"sheet_user_name\":\"Patricia Boyle\",\"zpuid\":\"4000000002055\"}],\"status_mapping\":[{\"sheet_status\":\"Active\",\"status_id\":\"9000000009052\"}],\"layout_mapping\":[{\"sheet_layout\":\"Standard Layout\",\"layout_id\":\"9000000009013\"}],\"extra_data\":{\"selected_sheet_index\":0,\"header_row_number\":1,\"user_column_numbers\":2,\"status_column_numbers\":1},\"sheet_info\":{\"selected_sheet_index\":0,\"header_row_no\":1}}";
requestBase.setEntity(new StringEntity(requestBody, HTTP.UTF_8));

HttpResponse response = httpclient.execute(requestObj);

HttpEntity responseEntity = response.getEntity();
Object responseObject = EntityUtils.toString(responseEntity);
String responseString = responseObject.toString();
const url = 'https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269';

const options = {
  method: 'PATCH',
  headers: {
    'Authorization': 'Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({"progress":"field_mapped","date_format":"dd/MM/yyyy","is_reject_invalid_records":true,"field_mapping":[{"column_num":1,"api_name":"name"}],"user_mapping":[{"sheet_user_name":"Patricia Boyle","zpuid":"4000000002055"}],"status_mapping":[{"sheet_status":"Active","status_id":"9000000009052"}],"layout_mapping":[{"sheet_layout":"Standard Layout","layout_id":"9000000009013"}],"extra_data":{"selected_sheet_index":0,"header_row_number":1,"user_column_numbers":2,"status_column_numbers":1},"sheet_info":{"selected_sheet_index":0,"header_row_no":1}})
};

fetch(url, options)
  .then(response => response.json())
  .then(data => console.log(data))
  .catch(error => console.error(error));
{"progress":"field_mapped","date_format":"dd/MM/yyyy","is_reject_invalid_records":true,"field_mapping":[{"column_num":1,"api_name":"name"}],"user_mapping":[{"sheet_user_name":"Patricia Boyle","zpuid":"4000000002055"}],"status_mapping":[{"sheet_status":"Active","status_id":"9000000009052"}],"layout_mapping":[{"sheet_layout":"Standard Layout","layout_id":"9000000009013"}],"extra_data":{"selected_sheet_index":0,"header_row_number":1,"user_column_numbers":2,"status_column_numbers":1},"sheet_info":{"selected_sheet_index":0,"header_row_no":1}}
import java.net.HttpURLConnection
import java.net.URL
import okhttp3.HttpUrl.Companion.toHttpUrl

fun main() {
    val url = URL("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269")
    val conn = url.openConnection() as HttpURLConnection
    conn.requestMethod = "PATCH"
    conn.setRequestProperty("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa")
    conn.setRequestProperty("Content-Type", "application/json")
    conn.doOutput = true
    conn.outputStream.bufferedWriter().use { it.write("""{"progress":"field_mapped","date_format":"dd/MM/yyyy","is_reject_invalid_records":true,"field_mapping":[{"column_num":1,"api_name":"name"}],"user_mapping":[{"sheet_user_name":"Patricia Boyle","zpuid":"4000000002055"}],"status_mapping":[{"sheet_status":"Active","status_id":"9000000009052"}],"layout_mapping":[{"sheet_layout":"Standard Layout","layout_id":"9000000009013"}],"extra_data":{"selected_sheet_index":0,"header_row_number":1,"user_column_numbers":2,"status_column_numbers":1},"sheet_info":{"selected_sheet_index":0,"header_row_no":1}}""") }

    val response = conn.inputStream.bufferedReader().readText()
    println(response)
}
NSURL *url = [NSURL URLWithString:@"https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269"];
NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url];
[request setHTTPMethod:@"PATCH"];
[request setValue:@"Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa" forHTTPHeaderField:@"Authorization"];
[request setValue:@"application/json" forHTTPHeaderField:@"Content-Type"];
NSData *body = [@"{\"progress\":\"field_mapped\",\"date_format\":\"dd/MM/yyyy\",\"is_reject_invalid_records\":true,\"field_mapping\":[{\"column_num\":1,\"api_name\":\"name\"}],\"user_mapping\":[{\"sheet_user_name\":\"Patricia Boyle\",\"zpuid\":\"4000000002055\"}],\"status_mapping\":[{\"sheet_status\":\"Active\",\"status_id\":\"9000000009052\"}],\"layout_mapping\":[{\"sheet_layout\":\"Standard Layout\",\"layout_id\":\"9000000009013\"}],\"extra_data\":{\"selected_sheet_index\":0,\"header_row_number\":1,\"user_column_numbers\":2,\"status_column_numbers\":1},\"sheet_info\":{\"selected_sheet_index\":0,\"header_row_no\":1}}" dataUsingEncoding:NSUTF8StringEncoding];
[request setHTTPBody:body];

NSURLSession *session = [NSURLSession sharedSession];
NSURLSessionDataTask *task = [session dataTaskWithRequest:request
    completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
        NSString *result = [[NSString alloc] initWithData:data encoding:NSUTF8StringEncoding];
        NSLog(@"%@", result);
}];
[task resume];
open Lwt
open Cohttp_lwt_unix

let () =
  let uri = Uri.of_string "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269" in
  let headers = Cohttp.Header.init ()
    |> fun h -> Cohttp.Header.add h "Authorization" "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
    |> fun h -> Cohttp.Header.add h "Content-Type" "application/json"
  in
  let body = Cohttp_lwt.Body.of_string {json|{"progress":"field_mapped","date_format":"dd/MM/yyyy","is_reject_invalid_records":true,"field_mapping":[{"column_num":1,"api_name":"name"}],"user_mapping":[{"sheet_user_name":"Patricia Boyle","zpuid":"4000000002055"}],"status_mapping":[{"sheet_status":"Active","status_id":"9000000009052"}],"layout_mapping":[{"sheet_layout":"Standard Layout","layout_id":"9000000009013"}],"extra_data":{"selected_sheet_index":0,"header_row_number":1,"user_column_numbers":2,"status_column_numbers":1},"sheet_info":{"selected_sheet_index":0,"header_row_no":1}}|json} in
  Lwt_main.run (
    Client.patch ~headers ~body uri >>= fun (_, body) ->
    Cohttp_lwt.Body.to_string body >|= fun s ->
    print_endline s)
$headers = @{
    "Authorization" = "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
    "Content-Type" = "application/json"
}

$body = @'
{"progress":"field_mapped","date_format":"dd/MM/yyyy","is_reject_invalid_records":true,"field_mapping":[{"column_num":1,"api_name":"name"}],"user_mapping":[{"sheet_user_name":"Patricia Boyle","zpuid":"4000000002055"}],"status_mapping":[{"sheet_status":"Active","status_id":"9000000009052"}],"layout_mapping":[{"sheet_layout":"Standard Layout","layout_id":"9000000009013"}],"extra_data":{"selected_sheet_index":0,"header_row_number":1,"user_column_numbers":2,"status_column_numbers":1},"sheet_info":{"selected_sheet_index":0,"header_row_no":1}}
'@

$response = Invoke-RestMethod -Uri "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269" -Method PATCH -Headers $headers -Body $body

$response | ConvertTo-Json
library(httr)

url <- "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269"

response <- PATCH(
  url,
  add_headers(Authorization = "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"),
  content_type_json(),
  body = "{\"progress\":\"field_mapped\",\"date_format\":\"dd/MM/yyyy\",\"is_reject_invalid_records\":true,\"field_mapping\":[{\"column_num\":1,\"api_name\":\"name\"}],\"user_mapping\":[{\"sheet_user_name\":\"Patricia Boyle\",\"zpuid\":\"4000000002055\"}],\"status_mapping\":[{\"sheet_status\":\"Active\",\"status_id\":\"9000000009052\"}],\"layout_mapping\":[{\"sheet_layout\":\"Standard Layout\",\"layout_id\":\"9000000009013\"}],\"extra_data\":{\"selected_sheet_index\":0,\"header_row_number\":1,\"user_column_numbers\":2,\"status_column_numbers\":1},\"sheet_info\":{\"selected_sheet_index\":0,\"header_row_no\":1}}"
)

content(response, "text")
import Foundation

let url = URL(string: "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269")!
var request = URLRequest(url: url)
request.httpMethod = "PATCH"
request.setValue("Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa", forHTTPHeaderField: "Authorization")
request.setValue("application/json", forHTTPHeaderField: "Content-Type")
request.httpBody = """
{"progress":"field_mapped","date_format":"dd/MM/yyyy","is_reject_invalid_records":true,"field_mapping":[{"column_num":1,"api_name":"name"}],"user_mapping":[{"sheet_user_name":"Patricia Boyle","zpuid":"4000000002055"}],"status_mapping":[{"sheet_status":"Active","status_id":"9000000009052"}],"layout_mapping":[{"sheet_layout":"Standard Layout","layout_id":"9000000009013"}],"extra_data":{"selected_sheet_index":0,"header_row_number":1,"user_column_numbers":2,"status_column_numbers":1},"sheet_info":{"selected_sheet_index":0,"header_row_no":1}}
""".data(using: .utf8)

let semaphore = DispatchSemaphore(value: 0)
let task = URLSession.shared.dataTask(with: request) { data, response, error in
    if let data = data, let result = String(data: data, encoding: .utf8) {
        print(result)
    }
    semaphore.signal()
}
task.resume()
semaphore.wait()

Sample Input

Content-Type: application/json
{ "progress" : "field_mapped", "date_format" : "dd/MM/yyyy", "is_reject_invalid_records" : true, "field_mapping" : [ { "column_num" : 1, "api_name" : "name" } ], "user_mapping" : [ { "sheet_user_name" : "Patricia Boyle", "zpuid" : "4000000002055" } ], "status_mapping" : [ { "sheet_status" : "Active", "status_id" : "9000000009052" } ], "layout_mapping" : [ { "sheet_layout" : "Standard Layout", "layout_id" : "9000000009013" } ], "extra_data" : { "selected_sheet_index" : 0, "header_row_number" : 1, "user_column_numbers" : 2, "status_column_numbers" : 1 }, "sheet_info" : { "selected_sheet_index" : 0, "header_row_no" : 1 } }

Sample Response

200{ "id" : "9000000056018", "progress" : "scheduled", "is_reject_invalid_records" : true, "date_format" : "dd/MM/yyyy", "field_mapping" : [ { "api_name" : "name", "column_num" : "0" }, { "api_name" : "status", "column_num" : "1" }, { "api_name" : "layout", "column_num" : "2" } ], "status_mapping" : [ { "sheet_status" : "Active", "status_id" : "9000000009052" }, { "sheet_status" : "On Hold", "status_id" : "9000000009061" }, { "sheet_status" : "Completed", "status_id" : "9000000009067" }, { "sheet_status" : "In Progress", "status_id" : "9000000009055" }, { "sheet_status" : "Cancelled", "status_id" : "9000000009064" }, { "sheet_status" : "Reopen", "status_id" : "9000000009058" } ], "layout_mapping" : [ { "sheet_layout" : "Dummy4", "layout_id" : "9000000009013" }, { "sheet_layout" : "Dummy6", "layout_id" : "9000000009013" }, { "sheet_layout" : "Dummy1", "layout_id" : "9000000009013" }, { "sheet_layout" : "Dummy2", "layout_id" : "9000000009013" } ], "sheet_info" : { "selected_sheet_index" : "0", "header_row_number" : "1" } }

Delete an Import Detail

Remove an import entry from the table.

DELETE

/api/v3/portal/[PORTAL_ID]/module/[MODULE_ID]/import/[IMPORT_ID]

OAuth Scope:

ZohoProjects.portals.DELETE

Path Parameters

Param Name
Data Type
Description

Request Example

Request Example
  • cURL
  • Deluge
  • Node.js
  • Ruby
  • PHP
  • Python
  • C
  • C#
  • C++
  • Clojure
  • Go
  • HTTP
  • Java
  • JS Fetch
  • Kotlin
  • Objective-C
  • OCaml
  • PowerShell
  • R
  • Swift

curl -X DELETE \
'https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269' \
-H 'Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa'

url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269";
response = invokeUrl
[
    url: url
    type: DELETE
    connection: "projects"
];
info response;
const https = require('https');
const url = new URL('https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269');

const options = {
  hostname: url.hostname,
  path: url.pathname + url.search,
  method: 'DELETE',
  headers: {
    'Authorization': 'Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa'
  }
};

const req = https.request(options, (res) => {
  let data = '';
  res.on('data', (chunk) => { data += chunk; });
  res.on('end', () => { console.log(JSON.parse(data)); });
});

req.on('error', (err) => { console.error(err); });
req.end();
require 'net/http'
require 'uri'
require 'json'

url = URI("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["Authorization"] = "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"

response = http.request(request)
puts response.read_body
<?php
$url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269";

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => $url,
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_CUSTOMREQUEST => "DELETE",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
  ],
]);

$response = curl_exec($curl);
curl_close($curl);

echo $response;
import requests

url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269"

headers = {
    "Authorization": "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa",
}

response = requests.delete(url, headers=headers)

print(response.json())
#include <stdio.h>
#include <string.h>
#include <curl/curl.h>

int main(void) {
    CURL *curl = curl_easy_init();
    if (curl) {
        struct curl_slist *headers = NULL;
        headers = curl_slist_append(headers, "Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");

        curl_easy_setopt(curl, CURLOPT_URL, "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269");
        curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
        curl_easy_setopt(curl, CURLOPT_CUSTOMREQUEST, "DELETE");

        CURLcode res = curl_easy_perform(curl);
        if (res != CURLE_OK)
            fprintf(stderr, "curl failed: %s\n", curl_easy_strerror(res));

        curl_slist_free_all(headers);
        curl_easy_cleanup(curl);
    }
    return 0;
}
using System.Net.Http;
using System.Text;
using System.Web;

var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");

var request = new HttpRequestMessage(HttpMethod.Delete, "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269");

var response = await client.SendAsync(request);
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
#include <iostream>
#include <string>
#include <curl/curl.h>

static size_t WriteCallback(void* contents, size_t size, size_t nmemb, std::string* output) {
    output->append((char*)contents, size * nmemb);
    return size * nmemb;
}

int main() {
    CURL* curl = curl_easy_init();
    if (curl) {
        std::string response;
        struct curl_slist* headers = NULL;
        headers = curl_slist_append(headers, "Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");

        curl_easy_setopt(curl, CURLOPT_URL, "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269");
        curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
        curl_easy_setopt(curl, CURLOPT_CUSTOMREQUEST, "DELETE");
        curl_easy_setopt(curl, CURLOPT_WRITEFUNCTION, WriteCallback);
        curl_easy_setopt(curl, CURLOPT_WRITEDATA, &response);

        CURLcode res = curl_easy_perform(curl);
        if (res == CURLE_OK)
            std::cout << response << std::endl;
        else
            std::cerr << curl_easy_strerror(res) << std::endl;

        curl_slist_free_all(headers);
        curl_easy_cleanup(curl);
    }
    return 0;
}
(require '[clj-http.client :as client])

(def response
  (client/delete "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269"
    {:headers {"Authorization" "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"}
     :as :json}))

(println (:body response))
package main

import (
    "fmt"
    "io"
    "net/http"
)

func main() {
    req, _ := http.NewRequest("DELETE", "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269", nil)
    req.Header.Add("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa")

    resp, _ := http.DefaultClient.Do(req)
    defer resp.Body.Close()
    body, _ := io.ReadAll(resp.Body)
    fmt.Println(string(body))
}
DELETE https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269 HTTP/1.1
Host: https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269
Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa
HttpClientBuilder httpClientBuilder = HttpClientBuilder.create();

SSLContext sslContext = SSLContext.getDefault();
SSLConnectionSocketFactory sslConnectionSocketFactory = new SSLConnectionSocketFactory(sslContext, NoopHostnameVerifier.INSTANCE);
CloseableHttpClient httpclient = httpClientBuilder.setSSLSocketFactory(sslConnectionSocketFactory).build();

URIBuilder uriBuilder = new URIBuilder("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269");
HttpUriRequest requestObj = new HttpDelete(uriBuilder.build());
requestObj.addHeader("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");

HttpResponse response = httpclient.execute(requestObj);

HttpEntity responseEntity = response.getEntity();
Object responseObject = EntityUtils.toString(responseEntity);
String responseString = responseObject.toString();
const url = 'https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269';

const options = {
  method: 'DELETE',
  headers: {
    'Authorization': 'Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa'
  }
};

fetch(url, options)
  .then(response => response.json())
  .then(data => console.log(data))
  .catch(error => console.error(error));
import java.net.HttpURLConnection
import java.net.URL
import okhttp3.HttpUrl.Companion.toHttpUrl

fun main() {
    val url = URL("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269")
    val conn = url.openConnection() as HttpURLConnection
    conn.requestMethod = "DELETE"
    conn.setRequestProperty("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa")

    val response = conn.inputStream.bufferedReader().readText()
    println(response)
}
NSURL *url = [NSURL URLWithString:@"https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269"];
NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url];
[request setHTTPMethod:@"DELETE"];
[request setValue:@"Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa" forHTTPHeaderField:@"Authorization"];

NSURLSession *session = [NSURLSession sharedSession];
NSURLSessionDataTask *task = [session dataTaskWithRequest:request
    completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
        NSString *result = [[NSString alloc] initWithData:data encoding:NSUTF8StringEncoding];
        NSLog(@"%@", result);
}];
[task resume];
open Lwt
open Cohttp_lwt_unix

let () =
  let uri = Uri.of_string "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269" in
  let headers = Cohttp.Header.init ()
    |> fun h -> Cohttp.Header.add h "Authorization" "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
  in
  Lwt_main.run (
    Client.delete ~headers uri >>= fun (_, body) ->
    Cohttp_lwt.Body.to_string body >|= fun s ->
    print_endline s)
$headers = @{
    "Authorization" = "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
}

$response = Invoke-RestMethod -Uri "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269" -Method DELETE -Headers $headers

$response | ConvertTo-Json
library(httr)

url <- "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269"

response <- DELETE(
  url,
  add_headers(Authorization = "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa")
)

content(response, "text")
import Foundation

let url = URL(string: "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269")!
var request = URLRequest(url: url)
request.httpMethod = "DELETE"
request.setValue("Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa", forHTTPHeaderField: "Authorization")

let semaphore = DispatchSemaphore(value: 0)
let task = URLSession.shared.dataTask(with: request) { data, response, error in
    if let data = data, let result = String(data: data, encoding: .utf8) {
        print(result)
    }
    semaphore.signal()
}
task.resume()
semaphore.wait()

Sample Response

204 No Content

Get Import File Details

Retrieve the details of the uploaded files for mapping in import operation.

GET

/api/v3/portal/[PORTAL_ID]/module/[MODULE_ID]/import/[IMPORT_ID]/file-details

OAuth Scope:

ZohoProjects.portals.READ

Path Parameters

Param Name
Data Type
Description

Request Example

Request Example
  • cURL
  • Deluge
  • Node.js
  • Ruby
  • PHP
  • Python
  • C
  • C#
  • C++
  • Clojure
  • Go
  • HTTP
  • Java
  • JS Fetch
  • Kotlin
  • Objective-C
  • OCaml
  • PowerShell
  • R
  • Swift

curl -X GET \
'https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269/file-details' \
-H 'Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa'

url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269/file-details";
response = invokeUrl
[
    url: url
    type: GET
    connection: "projects"
];
info response;
const https = require('https');
const url = new URL('https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269/file-details');

const options = {
  hostname: url.hostname,
  path: url.pathname + url.search,
  method: 'GET',
  headers: {
    'Authorization': 'Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa'
  }
};

const req = https.request(options, (res) => {
  let data = '';
  res.on('data', (chunk) => { data += chunk; });
  res.on('end', () => { console.log(JSON.parse(data)); });
});

req.on('error', (err) => { console.error(err); });
req.end();
require 'net/http'
require 'uri'
require 'json'

url = URI("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269/file-details")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"

response = http.request(request)
puts response.read_body
<?php
$url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269/file-details";

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => $url,
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
  ],
]);

$response = curl_exec($curl);
curl_close($curl);

echo $response;
import requests

url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269/file-details"

headers = {
    "Authorization": "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa",
}

response = requests.get(url, headers=headers)

print(response.json())
#include <stdio.h>
#include <string.h>
#include <curl/curl.h>

int main(void) {
    CURL *curl = curl_easy_init();
    if (curl) {
        struct curl_slist *headers = NULL;
        headers = curl_slist_append(headers, "Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");

        curl_easy_setopt(curl, CURLOPT_URL, "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269/file-details");
        curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
        curl_easy_setopt(curl, CURLOPT_CUSTOMREQUEST, "GET");

        CURLcode res = curl_easy_perform(curl);
        if (res != CURLE_OK)
            fprintf(stderr, "curl failed: %s\n", curl_easy_strerror(res));

        curl_slist_free_all(headers);
        curl_easy_cleanup(curl);
    }
    return 0;
}
using System.Net.Http;
using System.Text;
using System.Web;

var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");

var request = new HttpRequestMessage(HttpMethod.Get, "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269/file-details");

var response = await client.SendAsync(request);
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
#include <iostream>
#include <string>
#include <curl/curl.h>

static size_t WriteCallback(void* contents, size_t size, size_t nmemb, std::string* output) {
    output->append((char*)contents, size * nmemb);
    return size * nmemb;
}

int main() {
    CURL* curl = curl_easy_init();
    if (curl) {
        std::string response;
        struct curl_slist* headers = NULL;
        headers = curl_slist_append(headers, "Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");

        curl_easy_setopt(curl, CURLOPT_URL, "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269/file-details");
        curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
        curl_easy_setopt(curl, CURLOPT_CUSTOMREQUEST, "GET");
        curl_easy_setopt(curl, CURLOPT_WRITEFUNCTION, WriteCallback);
        curl_easy_setopt(curl, CURLOPT_WRITEDATA, &response);

        CURLcode res = curl_easy_perform(curl);
        if (res == CURLE_OK)
            std::cout << response << std::endl;
        else
            std::cerr << curl_easy_strerror(res) << std::endl;

        curl_slist_free_all(headers);
        curl_easy_cleanup(curl);
    }
    return 0;
}
(require '[clj-http.client :as client])

(def response
  (client/get "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269/file-details"
    {:headers {"Authorization" "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"}
     :as :json}))

(println (:body response))
package main

import (
    "fmt"
    "io"
    "net/http"
)

func main() {
    req, _ := http.NewRequest("GET", "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269/file-details", nil)
    req.Header.Add("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa")

    resp, _ := http.DefaultClient.Do(req)
    defer resp.Body.Close()
    body, _ := io.ReadAll(resp.Body)
    fmt.Println(string(body))
}
GET https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269/file-details HTTP/1.1
Host: https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269/file-details
Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa
HttpClientBuilder httpClientBuilder = HttpClientBuilder.create();

SSLContext sslContext = SSLContext.getDefault();
SSLConnectionSocketFactory sslConnectionSocketFactory = new SSLConnectionSocketFactory(sslContext, NoopHostnameVerifier.INSTANCE);
CloseableHttpClient httpclient = httpClientBuilder.setSSLSocketFactory(sslConnectionSocketFactory).build();

URIBuilder uriBuilder = new URIBuilder("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269/file-details");
HttpUriRequest requestObj = new HttpGet(uriBuilder.build());
requestObj.addHeader("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");

HttpResponse response = httpclient.execute(requestObj);

HttpEntity responseEntity = response.getEntity();
Object responseObject = EntityUtils.toString(responseEntity);
String responseString = responseObject.toString();
const url = 'https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269/file-details';

const options = {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa'
  }
};

fetch(url, options)
  .then(response => response.json())
  .then(data => console.log(data))
  .catch(error => console.error(error));
import java.net.HttpURLConnection
import java.net.URL
import okhttp3.HttpUrl.Companion.toHttpUrl

fun main() {
    val url = URL("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269/file-details")
    val conn = url.openConnection() as HttpURLConnection
    conn.requestMethod = "GET"
    conn.setRequestProperty("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa")

    val response = conn.inputStream.bufferedReader().readText()
    println(response)
}
NSURL *url = [NSURL URLWithString:@"https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269/file-details"];
NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url];
[request setHTTPMethod:@"GET"];
[request setValue:@"Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa" forHTTPHeaderField:@"Authorization"];

NSURLSession *session = [NSURLSession sharedSession];
NSURLSessionDataTask *task = [session dataTaskWithRequest:request
    completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
        NSString *result = [[NSString alloc] initWithData:data encoding:NSUTF8StringEncoding];
        NSLog(@"%@", result);
}];
[task resume];
open Lwt
open Cohttp_lwt_unix

let () =
  let uri = Uri.of_string "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269/file-details" in
  let headers = Cohttp.Header.init ()
    |> fun h -> Cohttp.Header.add h "Authorization" "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
  in
  Lwt_main.run (
    Client.get ~headers uri >>= fun (_, body) ->
    Cohttp_lwt.Body.to_string body >|= fun s ->
    print_endline s)
$headers = @{
    "Authorization" = "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
}

$response = Invoke-RestMethod -Uri "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269/file-details" -Method GET -Headers $headers

$response | ConvertTo-Json
library(httr)

url <- "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269/file-details"

response <- GET(
  url,
  add_headers(Authorization = "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa")
)

content(response, "text")
import Foundation

let url = URL(string: "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269/file-details")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.setValue("Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa", forHTTPHeaderField: "Authorization")

let semaphore = DispatchSemaphore(value: 0)
let task = URLSession.shared.dataTask(with: request) { data, response, error in
    if let data = data, let result = String(data: data, encoding: .utf8) {
        print(result)
    }
    semaphore.signal()
}
task.resume()
semaphore.wait()

Sample Response

200{ "file_info" : { "import_type" : "xls", "file_name" : "Global_sample 3.xlsx", "file_id" : "7706466000000007004" }, "header_names" : [ "Title", "Status", "Layout", "User Pick List" ], "preview_data" : { "sheet_count" : 1, "preview_sheet_num" : null, "sheet_details" : [ "Sheet1" ], "file_preview" : [ [ "Title", "Status", "Layout", "User Pick List" ], [ "Vendor Request 410", "Completed", "Dummy1", "Custom Module Lcl 1, cm_new harini" ], [ "Ops Release 2647", "Cancelled", "Dummy6", "pradhap.m+test" ], [ "Regional Module 9261", "Cancelled", "Dummy2", "pradhap.m+test" ], [ "Annual Module 4350", "Active", "", "Custom Module Lcl 1,cm_new harini" ], [ "Quarterly Report 6276", "Completed", "Dummy1", "Harini SharedProfile,Harini Admin" ], [ "Ops Migration 4233", "Reopen", "", "pradhap.mtest" ], [ "Marketing Request 7680", "Completed", "Dummy4", "Custom Module Lcl 1, Harini Admin" ], [ "Sales Ticket 3994", "On Hold", "", "Harini SharedProfile" ], [ "Client Migration 7223", "Active", "Dummy2", "Harini SharedProfile, Harini Manager" ] ] } }

Get My Import Details

Retrieve the list of import operations.

GET

/api/v3/portal/[PORTAL_ID]/module/[MODULE_ID]/my-imports

OAuth Scope:

ZohoProjects.portals.READ

Path Parameters

Param Name
Data Type
Description

Query Parameters

Param Name
Data Type
Description

Request Example

Request Example
  • cURL
  • Deluge
  • Node.js
  • Ruby
  • PHP
  • Python
  • C
  • C#
  • C++
  • Clojure
  • Go
  • HTTP
  • Java
  • JS Fetch
  • JSON
  • Kotlin
  • Objective-C
  • OCaml
  • PowerShell
  • R
  • Swift

curl -X GET \
'https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/my-imports?project_id=-&filter=%7B%22is_finished%22%3Atrue%7D&index=-&range=-&page=-&per_page=-' \
-H 'Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa'

url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/my-imports";
filter_value = {"is_finished":true};
params = Map();
params.put("project_id", "-");
params.put("filter", filter_value);
params.put("index", "-");
params.put("range", "-");
params.put("page", "-");
params.put("per_page", "-");
response = invokeUrl
[
    url: url
    type: GET
    parameters: params
    connection: "projects"
];
info response;
const https = require('https');
const url = new URL('https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/my-imports');
url.searchParams.append('project_id', '-');
url.searchParams.append('filter', '{"is_finished":true}');
url.searchParams.append('index', '-');
url.searchParams.append('range', '-');
url.searchParams.append('page', '-');
url.searchParams.append('per_page', '-');

const options = {
  hostname: url.hostname,
  path: url.pathname + url.search,
  method: 'GET',
  headers: {
    'Authorization': 'Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa'
  }
};

const req = https.request(options, (res) => {
  let data = '';
  res.on('data', (chunk) => { data += chunk; });
  res.on('end', () => { console.log(JSON.parse(data)); });
});

req.on('error', (err) => { console.error(err); });
req.end();
require 'net/http'
require 'uri'
require 'json'

url = URI("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/my-imports")
params = {
  "project_id" => "-",
  "filter" => "{\"is_finished\":true}",
  "index" => "-",
  "range" => "-",
  "page" => "-",
  "per_page" => "-"
}
url.query = URI.encode_www_form(params)

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"

response = http.request(request)
puts response.read_body
<?php
$params = [
    'project_id' => '-',
    'filter' => '{"is_finished":true}',
    'index' => '-',
    'range' => '-',
    'page' => '-',
    'per_page' => '-',
];
$url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/my-imports" . "?" . http_build_query($params);

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => $url,
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
  ],
]);

$response = curl_exec($curl);
curl_close($curl);

echo $response;
import requests

url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/my-imports"

params = {
    "project_id": "-",
    "filter": "{\"is_finished\":true}",
    "index": "-",
    "range": "-",
    "page": "-",
    "per_page": "-"
}

headers = {
    "Authorization": "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa",
}

response = requests.get(url, headers=headers, params=params)

print(response.json())
#include <stdio.h>
#include <string.h>
#include <curl/curl.h>

int main(void) {
    CURL *curl = curl_easy_init();
    if (curl) {
        char *enc_project_id = curl_easy_escape(curl, "-", 0);
        char *enc_filter = curl_easy_escape(curl, "{\"is_finished\":true}", 0);
        char *enc_index = curl_easy_escape(curl, "-", 0);
        char *enc_range = curl_easy_escape(curl, "-", 0);
        char *enc_page = curl_easy_escape(curl, "-", 0);
        char *enc_per_page = curl_easy_escape(curl, "-", 0);
        char url[2048];
        snprintf(url, sizeof(url), "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/my-imports?project_id=%s&filter=%s&index=%s&range=%s&page=%s&per_page=%s", enc_project_id, enc_filter, enc_index, enc_range, enc_page, enc_per_page);

        struct curl_slist *headers = NULL;
        headers = curl_slist_append(headers, "Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");

        curl_easy_setopt(curl, CURLOPT_URL, url);
        curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
        curl_easy_setopt(curl, CURLOPT_CUSTOMREQUEST, "GET");

        CURLcode res = curl_easy_perform(curl);
        if (res != CURLE_OK)
            fprintf(stderr, "curl failed: %s\n", curl_easy_strerror(res));

        curl_free(enc_project_id);
        curl_free(enc_filter);
        curl_free(enc_index);
        curl_free(enc_range);
        curl_free(enc_page);
        curl_free(enc_per_page);
        curl_slist_free_all(headers);
        curl_easy_cleanup(curl);
    }
    return 0;
}
using System.Net.Http;
using System.Text;
using System.Web;

var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");

var query = HttpUtility.ParseQueryString(string.Empty);
query["project_id"] = "-";
query["filter"] = "{\"is_finished\":true}";
query["index"] = "-";
query["range"] = "-";
query["page"] = "-";
query["per_page"] = "-";
var uriBuilder = new UriBuilder("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/my-imports") { Query = query.ToString() };
var request = new HttpRequestMessage(HttpMethod.Get, uriBuilder.Uri);

var response = await client.SendAsync(request);
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
#include <iostream>
#include <string>
#include <curl/curl.h>

static size_t WriteCallback(void* contents, size_t size, size_t nmemb, std::string* output) {
    output->append((char*)contents, size * nmemb);
    return size * nmemb;
}

int main() {
    CURL* curl = curl_easy_init();
    if (curl) {
        std::string response;
        char* enc_project_id = curl_easy_escape(curl, "-", 0);
        char* enc_filter = curl_easy_escape(curl, "{\"is_finished\":true}", 0);
        char* enc_index = curl_easy_escape(curl, "-", 0);
        char* enc_range = curl_easy_escape(curl, "-", 0);
        char* enc_page = curl_easy_escape(curl, "-", 0);
        char* enc_per_page = curl_easy_escape(curl, "-", 0);
        std::string url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/my-imports";
        url += "?project_id=" + std::string(enc_project_id);
        url += "&filter=" + std::string(enc_filter);
        url += "&index=" + std::string(enc_index);
        url += "&range=" + std::string(enc_range);
        url += "&page=" + std::string(enc_page);
        url += "&per_page=" + std::string(enc_per_page);

        struct curl_slist* headers = NULL;
        headers = curl_slist_append(headers, "Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");

        curl_easy_setopt(curl, CURLOPT_URL, url.c_str());
        curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
        curl_easy_setopt(curl, CURLOPT_CUSTOMREQUEST, "GET");
        curl_easy_setopt(curl, CURLOPT_WRITEFUNCTION, WriteCallback);
        curl_easy_setopt(curl, CURLOPT_WRITEDATA, &response);

        CURLcode res = curl_easy_perform(curl);
        if (res == CURLE_OK)
            std::cout << response << std::endl;
        else
            std::cerr << curl_easy_strerror(res) << std::endl;

        curl_free(enc_project_id);
        curl_free(enc_filter);
        curl_free(enc_index);
        curl_free(enc_range);
        curl_free(enc_page);
        curl_free(enc_per_page);
        curl_slist_free_all(headers);
        curl_easy_cleanup(curl);
    }
    return 0;
}
(require '[clj-http.client :as client])

(let [enc-project_id (java.net.URLEncoder/encode "-" "UTF-8")
      enc-filter (java.net.URLEncoder/encode "{\"is_finished\":true}" "UTF-8")
      enc-index (java.net.URLEncoder/encode "-" "UTF-8")
      enc-range (java.net.URLEncoder/encode "-" "UTF-8")
      enc-page (java.net.URLEncoder/encode "-" "UTF-8")
      enc-per_page (java.net.URLEncoder/encode "-" "UTF-8")
      url (str "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/my-imports" "?project_id=" enc-project_id "&filter=" enc-filter "&index=" enc-index "&range=" enc-range "&page=" enc-page "&per_page=" enc-per_page)]
(def response
  (client/get url
    {:headers {"Authorization" "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"}
     :as :json}))

(println (:body response))
package main

import (
    "fmt"
    "io"
    "net/http"
    "net/url"
)

func main() {
    req, _ := http.NewRequest("GET", "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/my-imports", nil)
    q := req.URL.Query()
    q.Add("project_id", "-")
    q.Add("filter", "{\"is_finished\":true}")
    q.Add("index", "-")
    q.Add("range", "-")
    q.Add("page", "-")
    q.Add("per_page", "-")
    req.URL.RawQuery = q.Encode()
    req.Header.Add("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa")

    resp, _ := http.DefaultClient.Do(req)
    defer resp.Body.Close()
    body, _ := io.ReadAll(resp.Body)
    fmt.Println(string(body))
}
GET https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/my-imports?project_id=-&filter=%7B%22is_finished%22%3Atrue%7D&index=-&range=-&page=-&per_page=- HTTP/1.1
Host: https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/my-imports?project_id=-&filter=%7B%22is_finished%22%3Atrue%7D&index=-&range=-&page=-&per_page=-
Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa
HttpClientBuilder httpClientBuilder = HttpClientBuilder.create();

SSLContext sslContext = SSLContext.getDefault();
SSLConnectionSocketFactory sslConnectionSocketFactory = new SSLConnectionSocketFactory(sslContext, NoopHostnameVerifier.INSTANCE);
CloseableHttpClient httpclient = httpClientBuilder.setSSLSocketFactory(sslConnectionSocketFactory).build();

URIBuilder uriBuilder = new URIBuilder("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/my-imports");
uriBuilder.addParameter("project_id", "-");
uriBuilder.addParameter("filter", "{\"is_finished\":true}");
uriBuilder.addParameter("index", "-");
uriBuilder.addParameter("range", "-");
uriBuilder.addParameter("page", "-");
uriBuilder.addParameter("per_page", "-");
HttpUriRequest requestObj = new HttpGet(uriBuilder.build());
requestObj.addHeader("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");

HttpResponse response = httpclient.execute(requestObj);

HttpEntity responseEntity = response.getEntity();
Object responseObject = EntityUtils.toString(responseEntity);
String responseString = responseObject.toString();
const url = 'https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/my-imports';

const params = new URLSearchParams({
  'project_id': '-',
  'filter': '{"is_finished":true}',
  'index': '-',
  'range': '-',
  'page': '-',
  'per_page': '-'
});

const options = {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa'
  }
};

fetch(url + '?' + params.toString(), options)
  .then(response => response.json())
  .then(data => console.log(data))
  .catch(error => console.error(error));
project_id =  - 
filter = {"is_finished":true}
index =  - 
range =  - 
page =  - 
per_page =  - 
import java.net.HttpURLConnection
import java.net.URL
import okhttp3.HttpUrl.Companion.toHttpUrl

fun main() {
    val urlBuilder = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/my-imports".toHttpUrl().newBuilder()
    urlBuilder.addQueryParameter("project_id", "-")
    urlBuilder.addQueryParameter("filter", "{\"is_finished\":true}")
    urlBuilder.addQueryParameter("index", "-")
    urlBuilder.addQueryParameter("range", "-")
    urlBuilder.addQueryParameter("page", "-")
    urlBuilder.addQueryParameter("per_page", "-")
    val url = URL(urlBuilder.build().toString())
    val conn = url.openConnection() as HttpURLConnection
    conn.requestMethod = "GET"
    conn.setRequestProperty("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa")

    val response = conn.inputStream.bufferedReader().readText()
    println(response)
}
NSString *encodedProject_id = [@"-" stringByAddingPercentEncodingWithAllowedCharacters:[NSCharacterSet URLQueryAllowedCharacterSet]];
NSString *encodedFilter = [@"{\"is_finished\":true}" stringByAddingPercentEncodingWithAllowedCharacters:[NSCharacterSet URLQueryAllowedCharacterSet]];
NSString *encodedIndex = [@"-" stringByAddingPercentEncodingWithAllowedCharacters:[NSCharacterSet URLQueryAllowedCharacterSet]];
NSString *encodedRange = [@"-" stringByAddingPercentEncodingWithAllowedCharacters:[NSCharacterSet URLQueryAllowedCharacterSet]];
NSString *encodedPage = [@"-" stringByAddingPercentEncodingWithAllowedCharacters:[NSCharacterSet URLQueryAllowedCharacterSet]];
NSString *encodedPer_page = [@"-" stringByAddingPercentEncodingWithAllowedCharacters:[NSCharacterSet URLQueryAllowedCharacterSet]];
NSString *urlString = [NSString stringWithFormat:@"https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/my-imports?project_id=%@&filter=%@&index=%@&range=%@&page=%@&per_page=%@", encodedProject_id, encodedFilter, encodedIndex, encodedRange, encodedPage, encodedPer_page];
NSURL *url = [NSURL URLWithString:urlString];
NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url];
[request setHTTPMethod:@"GET"];
[request setValue:@"Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa" forHTTPHeaderField:@"Authorization"];

NSURLSession *session = [NSURLSession sharedSession];
NSURLSessionDataTask *task = [session dataTaskWithRequest:request
    completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
        NSString *result = [[NSString alloc] initWithData:data encoding:NSUTF8StringEncoding];
        NSLog(@"%@", result);
}];
[task resume];
open Lwt
open Cohttp_lwt_unix

let () =
  let enc_project_id = Uri.pct_encode "-" in
  let enc_filter = Uri.pct_encode "{\"is_finished\":true}" in
  let enc_index = Uri.pct_encode "-" in
  let enc_range = Uri.pct_encode "-" in
  let enc_page = Uri.pct_encode "-" in
  let enc_per_page = Uri.pct_encode "-" in
  let uri = Uri.of_string ("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/my-imports" ^ "?project_id=" ^ enc_project_id ^ "&filter=" ^ enc_filter ^ "&index=" ^ enc_index ^ "&range=" ^ enc_range ^ "&page=" ^ enc_page ^ "&per_page=" ^ enc_per_page) in
  let headers = Cohttp.Header.init ()
    |> fun h -> Cohttp.Header.add h "Authorization" "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
  in
  Lwt_main.run (
    Client.get ~headers uri >>= fun (_, body) ->
    Cohttp_lwt.Body.to_string body >|= fun s ->
    print_endline s)
$headers = @{
    "Authorization" = "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
}

$params = @{
    project_id = "-"
    filter = "{`"is_finished`":true}"
    index = "-"
    range = "-"
    page = "-"
    per_page = "-"
}
$queryString = ($params.GetEnumerator() | ForEach-Object { "$($_.Key)=$([System.Uri]::EscapeDataString($_.Value))" }) -join "&"
$url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/my-imports" + "?" + $queryString

$response = Invoke-RestMethod -Uri $url -Method GET -Headers $headers

$response | ConvertTo-Json
library(httr)

url <- "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/my-imports"

params <- list(
  project_id = "-",
  filter = "{\"is_finished\":true}",
  index = "-",
  range = "-",
  page = "-",
  per_page = "-"
)

response <- GET(
  url,
  add_headers(Authorization = "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"),
  query = params
)

content(response, "text")
import Foundation

var components = URLComponents(string: "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/my-imports")!
components.queryItems = [
    URLQueryItem(name: "project_id", value: "-"),
    URLQueryItem(name: "filter", value: "{\"is_finished\":true}"),
    URLQueryItem(name: "index", value: "-"),
    URLQueryItem(name: "range", value: "-"),
    URLQueryItem(name: "page", value: "-"),
    URLQueryItem(name: "per_page", value: "-")
]
let url = components.url!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.setValue("Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa", forHTTPHeaderField: "Authorization")

let semaphore = DispatchSemaphore(value: 0)
let task = URLSession.shared.dataTask(with: request) { data, response, error in
    if let data = data, let result = String(data: data, encoding: .utf8) {
        print(result)
    }
    semaphore.signal()
}
task.resume()
semaphore.wait()

Sample Input

project_id : - filter : {"is_finished":true} index : - range : - page : - per_page : -

Sample Response

200[ { "id" : "221089000001108023", "progress" : "completed", "is_reject_invalid_records" : true, "date_format" : "dd/MM/yyyy", "field_mapping" : [ { "api_name" : "name", "column_num" : "0" }, { "api_name" : "status", "column_num" : "1" }, { "api_name" : "layout", "column_num" : "2" } ], "status_mapping" : [ { "sheet_status" : "Active", "status_id" : "221089000000770030" }, { "sheet_status" : "On Hold", "status_id" : "221089000000770033" }, { "sheet_status" : "Completed", "status_id" : "221089000000770035" }, { "sheet_status" : "In Progress", "status_id" : "221089000000770031" }, { "sheet_status" : "Cancelled", "status_id" : "221089000000770034" }, { "sheet_status" : "Reopen", "status_id" : "221089000000770032" } ], "layout_mapping" : [ { "sheet_layout" : "Dummy4", "layout_id" : "221089000000770026" }, { "sheet_layout" : "Dummy6", "layout_id" : "221089000000770026" }, { "sheet_layout" : "Dummy1", "layout_id" : "221089000000770026" }, { "sheet_layout" : "Dummy2", "layout_id" : "221089000000770026" } ], "sheet_info" : { "selected_sheet_index" : "0", "header_row_number" : "1", "total_count" : "10", "success_count" : "10", "row_number_to_reject_reason" : { }, "row_number_to_skip_value_reason" : { } } } ]

Get Import Error Details

Retrieve the error details of the import operation.

GET

/api/v3/portal/[PORTAL_ID]/module/[MODULE_ID]/import/[IMPORT_ID]/error-details

OAuth Scope:

ZohoProjects.portals.READ

Path Parameters

Param Name
Data Type
Description

Query Parameters

Param Name
Data Type
Description

Request Example

Request Example
  • cURL
  • Deluge
  • Node.js
  • Ruby
  • PHP
  • Python
  • C
  • C#
  • C++
  • Clojure
  • Go
  • HTTP
  • Java
  • JS Fetch
  • JSON
  • Kotlin
  • Objective-C
  • OCaml
  • PowerShell
  • R
  • Swift

curl -X GET \
'https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269/error-details?index=-&range=-&page=-&per_page=-' \
-H 'Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa'

url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269/error-details";
params = Map();
params.put("index", "-");
params.put("range", "-");
params.put("page", "-");
params.put("per_page", "-");
response = invokeUrl
[
    url: url
    type: GET
    parameters: params
    connection: "projects"
];
info response;
const https = require('https');
const url = new URL('https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269/error-details');
url.searchParams.append('index', '-');
url.searchParams.append('range', '-');
url.searchParams.append('page', '-');
url.searchParams.append('per_page', '-');

const options = {
  hostname: url.hostname,
  path: url.pathname + url.search,
  method: 'GET',
  headers: {
    'Authorization': 'Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa'
  }
};

const req = https.request(options, (res) => {
  let data = '';
  res.on('data', (chunk) => { data += chunk; });
  res.on('end', () => { console.log(JSON.parse(data)); });
});

req.on('error', (err) => { console.error(err); });
req.end();
require 'net/http'
require 'uri'
require 'json'

url = URI("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269/error-details")
params = {
  "index" => "-",
  "range" => "-",
  "page" => "-",
  "per_page" => "-"
}
url.query = URI.encode_www_form(params)

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"

response = http.request(request)
puts response.read_body
<?php
$params = [
    'index' => '-',
    'range' => '-',
    'page' => '-',
    'per_page' => '-',
];
$url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269/error-details" . "?" . http_build_query($params);

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => $url,
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
  ],
]);

$response = curl_exec($curl);
curl_close($curl);

echo $response;
import requests

url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269/error-details"

params = {
    "index": "-",
    "range": "-",
    "page": "-",
    "per_page": "-"
}

headers = {
    "Authorization": "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa",
}

response = requests.get(url, headers=headers, params=params)

print(response.json())
#include <stdio.h>
#include <string.h>
#include <curl/curl.h>

int main(void) {
    CURL *curl = curl_easy_init();
    if (curl) {
        char *enc_index = curl_easy_escape(curl, "-", 0);
        char *enc_range = curl_easy_escape(curl, "-", 0);
        char *enc_page = curl_easy_escape(curl, "-", 0);
        char *enc_per_page = curl_easy_escape(curl, "-", 0);
        char url[2048];
        snprintf(url, sizeof(url), "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269/error-details?index=%s&range=%s&page=%s&per_page=%s", enc_index, enc_range, enc_page, enc_per_page);

        struct curl_slist *headers = NULL;
        headers = curl_slist_append(headers, "Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");

        curl_easy_setopt(curl, CURLOPT_URL, url);
        curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
        curl_easy_setopt(curl, CURLOPT_CUSTOMREQUEST, "GET");

        CURLcode res = curl_easy_perform(curl);
        if (res != CURLE_OK)
            fprintf(stderr, "curl failed: %s\n", curl_easy_strerror(res));

        curl_free(enc_index);
        curl_free(enc_range);
        curl_free(enc_page);
        curl_free(enc_per_page);
        curl_slist_free_all(headers);
        curl_easy_cleanup(curl);
    }
    return 0;
}
using System.Net.Http;
using System.Text;
using System.Web;

var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");

var query = HttpUtility.ParseQueryString(string.Empty);
query["index"] = "-";
query["range"] = "-";
query["page"] = "-";
query["per_page"] = "-";
var uriBuilder = new UriBuilder("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/module/1752587000000097269/import/1752587000000097269/error-details") { Query = query.ToString() };
var request = new HttpRequestMessage(HttpMethod.Get, uriBuilder.Uri);

var response = await client.SendAsync(request);
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
#include <iostream>
#include <string>
#include <curl/curl.h>

static size_t WriteCallback(void* contents, size_t size, size_t nmemb, std::string* output) {
    output->append((char*)contents, size * nmemb);
    return size * nmemb;
}

int main() {
    CURL* curl = curl_easy_init();
    if (curl) {
        std::string response;
        char* enc_index = curl_easy_escape(curl, "-", 0);
        char* enc_range = curl_easy_escape(curl, "-", 0);
        char* enc_page = curl_easy_escape(curl, "-", 0);
        char* enc_per_page = curl_easy_escape(curl, "-", 0);
[...]
